2 2

[alpine-aports] [PATCH 1/2] /main/xf86bigfontproto: add package function and create -dev subpackage

Sören Tempel
Details
Message ID
<1445424873-11213-1-git-send-email-soeren+git@soeren-tempel.net>
Sender timestamp
1445424872
DKIM signature
missing
Download raw message
Patch: +20 -4
---
 main/xf86bigfontproto/APKBUILD | 24 ++++++++++++++++++++----
 1 file changed, 20 insertions(+), 4 deletions(-)

diff --git a/main/xf86bigfontproto/APKBUILD b/main/xf86bigfontproto/APKBUILD
index 0aa84f1..62ce535 100644
--- a/main/xf86bigfontproto/APKBUILD
+++ b/main/xf86bigfontproto/APKBUILD
@@ -1,23 +1,39 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=xf86bigfontproto
 pkgver=1.2.0
-pkgrel=2
+pkgrel=3
 pkgdesc="X11 Big Fonts extension wire protocol"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
 depends=""
+depends_dev=""
 makedepends=""
+install=""
+subpackages="$pkgname-dev"
 source="http://xorg.freedesktop.org/releases/individual/proto/$pkgname-$pkgver.tar.bz2"
 
-build() { 
-	cd "$srcdir"/$pkgname-$pkgver
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$_builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
 		|| return 1
 	make || return 1
-	make DESTDIR="$pkgdir" install || return 1
 }
+
+package() {
+	make DESTDIR="$pkgdir" \
+		-C "$_builddir" install || return 1
+}
+
 md5sums="120e226ede5a4687b25dd357cc9b8efe  xf86bigfontproto-1.2.0.tar.bz2"
+sha256sums="ba9220e2c4475f5ed2ddaa7287426b30089e4d29bd58d35fad57ba5ea43e1648  xf86bigfontproto-1.2.0.tar.bz2"
+sha512sums="35b53ee1f428fee6777733264a7534a28ec6ffb29fc0ad9ab02337101d651ec94007bf840d0b591ee36a063280d4a4c71ff08f37100a63bb27581b5a9f69a710  xf86bigfontproto-1.2.0.tar.bz2"
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] main/libx11: depend on xf86bigfontproto-dev

Sören Tempel
Details
Message ID
<1445424873-11213-2-git-send-email-soeren+git@soeren-tempel.net>
In-Reply-To
<1445424873-11213-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1445424873
DKIM signature
missing
Download raw message
Patch: +3 -4
---
 main/libx11/APKBUILD | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/main/libx11/APKBUILD b/main/libx11/APKBUILD
index 43c329c..9de3d25 100644
--- a/main/libx11/APKBUILD
+++ b/main/libx11/APKBUILD
@@ -1,18 +1,17 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=libx11
 pkgver=1.6.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 client-side library"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom:XFREE86"
 depends=
 subpackages="$pkgname-dev $pkgname-doc"
-depends_dev="libxcb-dev xextproto xf86bigfontproto xtrans
+depends_dev="libxcb-dev xextproto xf86bigfontproto-dev xtrans
 	inputproto"
 makedepends="$depends_dev util-macros xproto kbproto"
-source="http://xorg.freedesktop.org/releases/individual/lib/libX11-$pkgver.tar.bz2
-	"
+source="http://xorg.freedesktop.org/releases/individual/lib/libX11-$pkgver.tar.bz2"
 
 build() {
 	cd "$srcdir"/libX11-$pkgver
-- 
2.6.1



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Sören Tempel
Details
Message ID
<20151021131205.GA15837@calcium.lan>
In-Reply-To
<1445424873-11213-1-git-send-email-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1445433125
DKIM signature
missing
Download raw message
The commit message accidentally contains a leading /. Please change that
when merging this commit.

Sören.


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---